using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Rejestracja : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void CreateUserWizard1_CreatedUser(object sender, EventArgs e)
    {
        MultiView1.ActiveViewIndex = 1;
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            string wyrazenie = "INSERT INTO Uzytkownicy (nazwaUzytkownika, imie, nazwisko, ulica, numer, numerDomu, kodPocztowy, miejscowosc, NIP) VALUES ('" + User.Identity.Name + "','" + TextBox1.Text.Replace('\'', '#') + "','" + TextBox2.Text.Replace('\'', '#') + "','" + TextBox3.Text.Replace('\'', '#') + "','" + TextBox4.Text.Replace('\'', '#') + "','"
            + TextBox5.Text.Replace('\'', '#') + "','" + TextBox6.Text.Replace('\'', '#') + "','" + TextBox7.Text.Replace('\'', '#') + "','" + TextBox8.Text.Replace('\'', '#') + "')";
            SqlDataSource1.InsertCommand = wyrazenie;
            SqlDataSource1.Insert();
            MultiView1.ActiveViewIndex = 2;
            Label1.Text = "Twoje dane zostały pomyślnie dodane do bazy danych klientów naszego serwisu";
        }
        catch
        {
            MultiView1.ActiveViewIndex = 2;
            Label1.Text ="Błąd: Niestety nie udało się dodać Twoich danych do serwisu. Spróbuj jeszcze raz";

        }
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        if (Session["_koszyk"] != null)
            Session["_koszyk"] = null;
        Response.Redirect("Default.aspx");
    }
}
